Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.DefaultableParameterBinding

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
            |
            +--oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding

Direct Known Subclasses:
  WebServiceRenderer.PromptedBinding, WebServiceRenderer.RequestParam, WebServiceRenderer.SessionAttrib

Enclosing class:
  WebServiceRenderer

public abstract static class WebServiceRenderer.DefaultableParameterBinding
extends WebServiceRenderer.ParameterBinding

Superclass for `ParameterBinding`s that can have a default value.

Constructor Summary
`WebServiceRenderer.DefaultableParameterBinding()`
`WebServiceRenderer.DefaultableParameterBinding(java.lang.String name, java.lang.String deflt, boolean isMandatory)` Constructs a `DefaultableParameterBinding` using the specified properties.

Method Summary
`abstract java.lang.String` | `getActualValue(WebServiceRenderRequest wrr)` Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults.
`java.lang.String` | `getValue(WebServiceRenderRequest wrr)` Evaluates this binding in the context of the given `WebServiceRenderRequest`, taking into account any defaults.
`boolean` | `isMandatory()` Determines whether this `ParameterBinding` is mandatory.
`void` | `setDefault(java.lang.String deflt)` Sets the default value for this binding, returned by `getValue(oracle.portal.provider.v2.webservice.WebServiceRenderRequest)` when the binding value is null or the empty string.
`void` | `setMandatory(boolean isMandatory)` Controls whether this binding is mandatory.
`void` | `setMandatory(java.lang.String isMandatory)` Controls whether this binding is mandatory.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.DefaultableParameterBinding

    public WebServiceRenderer.DefaultableParameterBinding()

### WebServiceRenderer.DefaultableParameterBinding

    public WebServiceRenderer.DefaultableParameterBinding(java.lang.String name,
                                                          java.lang.String deflt,
                                                          boolean isMandatory)

  Constructs a `DefaultableParameterBinding` using the specified properties.

Parameters:
  `name` - the binding name
  `deflt` - default value to use when actual binding value is null or the empty string
  `isMandatory` - is this a mandatory parameter?

Method Detail

### setDefault

    public final void setDefault(java.lang.String deflt)

  Sets the default value for this binding, returned by `getValue(oracle.portal.provider.v2.webservice.WebServiceRenderRequest)` when the binding value is null or the empty string.

  Parameters:
    `deflt` - the default value for this binding

### getValue

    public final java.lang.String getValue(WebServiceRenderRequest wrr)
                                    throws PortletException

  Evaluates this binding in the context of the given `WebServiceRenderRequest`, taking into account any defaults.

  Specified by:
    `getValue` in class `WebServiceRenderer.ParameterBinding`
  Returns:
    the value of this binding for the given `WebServiceRenderRequest`.
  Throws:
    `PortletException` - if an exception occurs while evaluating the binding.

### getActualValue

    public abstract java.lang.String getActualValue(WebServiceRenderRequest wrr)
                                             throws PortletException

  Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults. Called by `getValue(oracle.portal.provider.v2.webservice.WebServiceRenderRequest)` to determine whether the default should be returned. Subclasses should implement.

  Returns:
    the value of this binding for the given `WebServiceRenderRequest` or `null` if one does not yet exist.
  Throws:
    `PortletException` - if an exception occurs while evaluating the binding.

### setMandatory

    public final void setMandatory(boolean isMandatory)

  Controls whether this binding is mandatory. If a `WebServiceRenderer` has any mandatory parameter bindings, its web service will not be invoked until all its bindings have a value which is non-null and not equal to the empty string. By default, all parameters are non-mandatory.

  Parameters:
    `isMandatory` - `true` if this binding is mandatory, `false` otherwise.

### setMandatory

    public final void setMandatory(java.lang.String isMandatory)

  Controls whether this binding is mandatory. If a `WebServiceRenderer` has any mandatory parameter bindings, its web service will not be invoked until all its bindings have a value which is non-null and not equal to the empty string. By default, all parameters are non-mandatory.

  Parameters:
    `isMandatory` - String representation of boolean value. Should be `"true"` if this binding is mandatory, `"false"` otherwise.

### isMandatory

    public boolean isMandatory()

  Determines whether this `ParameterBinding` is mandatory. If a `WebServiceRenderer` has any mandatory parameter bindings, its web service will not be invoked until all its bindings have a value which is non-null and not equal to the empty string. By default, all parameters are non-mandatory.

  Overrides:
    `isMandatory` in class `WebServiceRenderer.ParameterBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.